pval {xcms} | R Documentation

## Generate p-values for a vector of t-statistics

### Description

Generate p-values for a vector of Welch's two-sample t-statistics based on the t distribution.

### Usage

    pval(X, classlabel, teststat)

### Arguments

`X` | original data matrix
`classlabel` | integer vector with classlabel
`teststat` | numeric vector with Welch's two-sample t-statistics

### Value

A numeric vector of p-values.

### Author(s)

Colin A. Smith, csmith@scripps.edu

### See Also

`mt.teststat`

[Package xcms version 1.6.1 Index]